//+------------------------------------------------------------------+
//|                                                    SetSpread.mq4 |
//|                                                           Candid |
//|                                                   likh@yandex.ru |
//+------------------------------------------------------------------+
//     
#property show_inputs

extern string Smb = "EURUSD";
extern double Spread = 0.00019;

//+------------------------------------------------------------------+
//| script                                                           |
//+------------------------------------------------------------------+
int start() {
  int h = FileOpen("symbols.sel",FILE_BIN|FILE_READ|FILE_WRITE);
  if (h < 1) {
    Print(" ");
    return;
  }
  bool IsSmb = false;
  int i = 0;
  while(!FileIsEnding(h)) {
    FileSeek(h,i,SEEK_SET);
    if (FileReadString(h,6) == Smb) {
      int SMBase = i;
      IsSmb = true;
      break;
    }
    i++;
  }
  if (IsSmb) {
    FileSeek(h,SMBase+64,SEEK_SET);
    double BID = FileReadDouble(h);
    double ASK = FileReadDouble(h);
    Print("Bid=",DoubleToStr(BID,Digits),",  Ask=",DoubleToStr(ASK,Digits));
    FileSeek(h,SMBase+72,SEEK_SET);
    FileWriteDouble(h,BID+Spread);
    Print("  ",DoubleToStr(Spread,Digits)); 
  } else Print(" ");
  FileClose(h);
  return(0);
}


